/* Custom CSS */

/* nuke the hard-coded heights */
.hero-section {
  min-height: auto !important;
  height: auto !important;
}

/* Footer */
.footer--menu {
  font-family: 'Russo One', sans-serif;
  text-transform: uppercase;
}

.social-media-container {
  display: flex;
  column-gap: 1em;
  row-gap: 1em;
}

.social-media-container img {
  /* Make social media icons black */
  filter: brightness(0);
  height: 36px;
  width: 36px;
}

/* Form Style */

#gform_wrapper_1,
#gform_wrapper_2,
#gform_wrapper_3 {
  background-color: #f5f5f5;
  padding: 40px;
}

.gform_heading {
  text-align: center !important;
  padding-bottom: 10px !important;
}

#gform_wrapper_2 .gform_title,
#gform_wrapper_1 .gform_title,
#gform_wrapper_3 .gform_title {
  font-size: 32px;
  font-weight: bold;
}

#gform_wrapper_2 .gform_fields,
#gform_wrapper_1 .gform_fields,
#gform_wrapper_3 .gform_fields {
  row-gap: 15px !important;
}

#gform_wrapper_2 input,
#gform_wrapper_2 select,
#gform_wrapper_1 input,
#gform_wrapper_1 select,
#gform_wrapper_1 textarea,
#gform_wrapper_3 input,
#gform_wrapper_3 select,
#gform_wrapper_3 textarea {
  border: 1px solid #999999;
  min-height: 50px;
}

#gform_wrapper_2 input[type='submit'],
#gform_wrapper_1 input[type='submit'],
#gform_wrapper_3 input[type='submit'] {
  border: 1px solid #c8102e;
  background: #d30000;
  color: #fff;
  font-size: 18px;
  padding: 12px 30px;
  font-weight: bold;
  letter-spacing: 1px;
  min-height: initial !important;
  margin: 0 auto;

}

.hero-section .wp-block-cover__image-background {
  position: absolute !important;
  top: 0;
  left: 0;
  width: 100% !important;
  height: 100% !important;
  object-fit: cover !important;
}

.hero-section {
  min-height: 60vh !important;
}



/* Service Grid */

.service-grid-container .row.row-cols-1.row-cols-md-2.row-cols-xl-3.mb-5 {
  row-gap: 2em;
  justify-content: center;
}

.service-card-wrapper {
  transition: 0.25s ease-in-out;
}

.service-card-wrapper:hover {
  transform: scale(0.98);
  transition: 0.25s ease-in-out;
}

.service-card-wrapper h5 {
  text-decoration: none;
}

.service-card {
  position: relative;
  overflow: hidden;
}

.service-card .card-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.25);
  opacity: 1;
  transition: opacity 0.3s ease;
  z-index: 2;
  text-align: center;
}

.service-card .card-title,
.service-card a.text-primary {
  color: #fff !important;
  font-size: 1.25rem;
  transform: translateY(3px);
}

.service-card .card-img-top img {
  display: block;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.read-more-text {
  display: inline-block;
  transition: all 0.3s ease-in-out;
  position: relative;
  overflow: hidden;
  opacity: 0;
  transform: translateY(10px);
}

.read-more-text::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 2px;
  background-color: #fff;
  transition: width 0.3s ease-in-out;
}

.service-card:hover .read-more-text {
  opacity: 1;
  transform: translateY(0);
  color: #fff !important;
  text-decoration: none;
}

.service-card:hover .read-more-text::before {
  width: 100%;
}

.landing-page-form-container #gform_wrapper_1 .gform_title {
  color: black;
}

.landing-page-form-container #gform_wrapper_1 .gform_required_legend {
  display: none;
}

.rounded-image img {
  border-radius: 12px !important;
}

.wp-block-image img {
  border-radius: 12px;
}

.intro-image img {
  border-radius: 12px;
}

/* Button Styles */
.wp-block-button.red-button-hover .wp-block-button__link {
  background-color: red;
  color: white;
  border-radius: 60px;
  text-align: center;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.wp-block-button.red-button-hover .wp-block-button__link:hover {
  background-color: #a30000 !important;
  /* dark red */
  color: #fff !important;
}


.wp-block-button.blue-button-hover .wp-block-button__link {
  background-color: #003479;
  color: white;
  border-radius: 60px;
  text-align: center;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.wp-block-button.blue-button-hover .wp-block-button__link:hover {
  background-color: #272727 !important;
  /* dark blue */
  color: #fff !important;
}



/* Header Button */
.blue-button-hover {
  background-color: transparent;
  border: 2px solid #003479;
  color: #003479 !important;
  border-radius: 60px;
  text-align: center;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.blue-button-hover:hover {
  background-color: #003479 !important;
  color: #fff !important;
}

/* CTA Button Hover Effect */
.reference-btn {
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out, border-color 0.3s ease-in-out;
  border: 1px solid transparent;
}

/* style issues fixed */

figure table tr,
figure table tr td {
  border: none !important;
}

.logo-carousel-block img {
  width: 100%;
}

.logo-carousel-block .slick-slider .slick-slide>div {
  justify-content: center;
}

#no-title-page-wrapper {
  padding: 0px;
}

/* Locations + Areas Served + Areas */
.area-container-with-sidebar {
  display: grid;
  grid-template-columns: 0.75fr 0.25fr;
  column-gap: 2em;
  margin: 4em auto 4em auto;
  max-width: 75%;
}

.sidebar-areas-list-container {
  background-color: #f5f5f5;
  padding: 40px;
  height: fit-content;
  margin-bottom: 1em;
  border-radius: 24px;
}

.active-area {
  text-decoration: underline !important;
}

.sidebar-areas-list {
  display: grid;
  row-gap: 0.25em;
  max-height: 200px;
  overflow-y: scroll;
  list-style-type: none;
  padding: 0;
  margin: 0;
  background: linear-gradient(rgb(245, 245, 245) 30%, rgba(255, 255, 255, 0)) center top, linear-gradient(rgba(255, 255, 255, 0), rgb(245, 245, 245) 70%) center bottom, radial-gradient(farthest-side at 50% 0, rgba(133, 133, 133, 0.2), rgba(0, 0, 0, 0)) center top, radial-gradient(farthest-side at 50% 100%, rgba(133, 133, 133, 0.2), rgba(0, 0, 0, 0)) center bottom;
  background-repeat: no-repeat;
  background-size: 100% 40px, 100% 40px, 100% 14px, 100% 14px;
  background-attachment: local, local, scroll, scroll;
}

.sidebar-areas-list a {
  text-decoration: none;
  font-size: 1.05rem;
}

.area-list-container h3 {
  margin-bottom: 20px;
}

ul.area-list-ul {
  margin: 0;
  padding: 0;
  display: grid;
  row-gap: 1em;
  list-style: none;
  grid-template-columns: auto auto auto auto auto;
}

.sidebar-list-title {
  font-size: 1.25rem;
  font-weight: bold;
}

li.area-list-point::before {
  content: '';
  position: absolute;
  top: 0.6em;
  left: 0;
  width: 0.556em;
  height: 0.556em;
  border-radius: 50%;
  background-color: black;
}

li.sidebar-list-point::before {
  content: unset;
}

li.sidebar-list-point {
  padding: unset;
}

li.area-list-point {
  font-size: 1rem;
  line-height: 1.7;
  position: relative;
  padding: 0.1em 0 0.1em 1.5em;
}

.header-landing-page .img-fluid {
  max-height: 80px;
  height: auto;
  width: auto;
}

.landing-page-form {
  background-color: rgba(255, 255, 255, 0.85);
  padding: 50px;
  border-radius: 20px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
  margin: 0 auto;
  box-sizing: border-box;
  max-width: 600px;
  width: 100%;
  opacity: 90%;
}

/* Heading inside the form */
.landing-page-form h2,
.landing-page-form .wp-block-heading {
  line-height: 1.2;
  color: #003366;
  text-align: center;
  margin-bottom: 0.5em;
}

/* Description paragraph inside form */
.landing-page-form p {
  line-height: 1.6;
  color: #333;
  max-width: 500px;
  margin: 0 auto 1.5em;
  text-align: center;
}

/* 5) Submit button inside form */
.landing-page-form .gform_footer input[type="submit"],
.landing-page-form #gform_submit_button_4.gform_button.button {
  width: 100% !important;
  padding: 18px 0;
  background: #003366;
  color: #fff;
  border: none;
  border-radius: 8px;
  font-size: 1.1rem;
  letter-spacing: 0.05em;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.landing-page-form .gform_footer input[type="submit"]:hover,
.landing-page-form #gform_submit_button_4.gform_button.button:hover {
  background: #eff7ff;
  color: #003479;
}

@media only screen and (max-width: 767px) {
  .hero-section {
    min-height: 40vh !important;
  }

  .nav-phone-number {
    font-size: calc(0.75rem + .9vw) !important
  }

  .nav-phone-icon {
    font-size: calc(0.85rem + .9vw) !important
  }

  .secondary-landing-page-navbar {
    display: block;
    grid-template-columns: 1fr;
    padding: 1.5rem 0rem;
    width: auto;
    margin: 0 auto;
    max-width: 180px;
  }

  .header-landing-page .navbar .navbar-brand,
  .header-landing-page .navbar .custom-logo-link {
    margin-left: auto !important;
    margin-right: auto !important;
    float: none !important;
    display: block !important;
    text-align: center !important;
  }

  .hero-text {
    line-height: 1;
  }

  .visible-only-on-desktop {
    display: none !important;
  }

  .area-container-with-sidebar {
    grid-template-columns: 1fr;
    max-width: 95%;
    row-gap: 2em;
  }

  ul.area-list-ul {
    grid-template-columns: auto;
    row-gap: 0.5em;
  }

  .header-landing-page .img-fluid {
    padding-right: 5rem !important;
  }

}

@media (min-width: 782px) and (max-width: 991px) {
  .landing-page-form-container {
    flex-basis: 55% !important;
  }
}


/******************* NEW CSS GET AIR SITE BUILD STARTS ******************************/
#main-nav {
  background-color: white;
  border-bottom: 1px solid lightgrey;
  text-wrap: nowrap;
}

#main-nav .menu-item .nav-link {
  font-size: 14px;
}

#second-nav .nav-link {
  font-family: 'Russo One', sans-serif;
  color: white;
}

.location-pin {
  font-size: 10px;
  width: 12px;
  height: 12px;
  fill: white;
}

.nav-phone-number {
  font-family: 'Russo One', sans-serif;
}

.nav-phone-icon {
  font-size: 20px !important;
}

.mobile-nav .nav-link {
  color: black !important;
}

#second-nav .nav-link:hover,
.active-nav-link,
.current_page_item .nav-link {
  text-decoration: underline;
}

#second-nav {
  background-color: var(--wp--preset--color--primary);
}

#second-nav #navbarNavDropdown {
  justify-content: end;
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='white' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
  height: 1em;
  width: 1em;
}

.navbar-toggler {
  background-color: var(--wp--preset--color--primary);
  padding: 0.5em;
  border-radius: 32px;
}

.sticky-nav-container {
  width: 100vw;
  position: fixed;
  bottom: 10px;
  display: flex;
  justify-content: center;
  z-index: 99999;
}

.sticky-nav {
  background-color: #02e44242;
  width: fit-content;
  border-radius: 500px;
  backdrop-filter: blur(10px) brightness(0.75);
}

.sticky-nav-inner {
  display: flex;
  justify-content: space-between;
  column-gap: 0.5em;
  padding: 1em;
}

.sticky-nav-inner a {
  font-family: 'Russo One', sans-serif;
  display: block;
  border-radius: 32px;
  background-color: #b3fbc78c;
  color: black;
  padding: 0.5em 1em;
  text-decoration: none;
  transition: 0.15s ease-in-out;
  animation: bounceBack 0.5s ease-in-out;
  align-content: center;
  text-align: center;
}

.sticky-nav-inner a:hover {
  /* transform: scale(1.1) translateY(-10px); */
  transition: 0.15s ease-in-out;
  animation: bounceIn 0.25s forwards ease-in-out;
}

@media only screen and (max-width: 767px) {
  header .navbar .custom-logo-link img {
    max-width: 150px;
  }

  #main-nav {
    order: 1;
  }

  #second-nav {
    order: 2;
  }

  #second-nav .container {
    display: flex;
    padding: 0;
    font-size: 14px;
  }

  .sticky-nav {
    width: 95%;
  }

  .sticky-nav-inner {
    padding: 0.6em;
  }

  .sticky-nav-inner a {
    font-size: 14px;
    flex: 1;
  }
}

@keyframes bounceIn {
  0% {
    transform: translateY(0);
  }

  100% {
    transform: translateY(-5px);
  }
}

@keyframes bounceBack {
  0% {
    transform: translateY(-5px);
  }

  50% {
    transform: translateY(5px);
  }

  75% {
    transform: translateY(-2px);

  }

  100% {
    transform: translateY(0);
  }
}

a.filled-button {
  display: block;
  font-family: 'Russo One', sans-serif;
  background-color: var(--wp--preset--color--primary);
  border: 2px solid var(--wp--preset--color--primary);
  padding: 0.5em 1.5em;
  color: white;
  text-transform: uppercase;
  border-radius: 32px;
  text-decoration: none;
  width: fit-content;
  transition: 0.15s ease-in-out;
  cursor: pointer;
  height: fit-content;
}

a.border-only-button,
input.border-only-button {
  display: block;
  font-family: 'Russo One', sans-serif;
  background-color: transparent;
  border: 2px solid var(--wp--preset--color--primary);
  padding: 0.5em 1.5em;
  color: var(--wp--preset--color--primary);
  text-transform: uppercase;
  border-radius: 32px;
  text-decoration: none;
  width: fit-content;
  transition: 0.15s ease-in-out;
  cursor: pointer;
}

a.filled-button:hover,
a.border-only-button:hover {
  transition: 0.15s ease-in-out;
  transform: scale(0.95);
  color: inherit;
}

a.filled-button:hover {
  color: white;
}

a.border-only-button:hover {
  color: var(--wp--preset--color--primary);
}

/* Testimonial Slider Starts */
.testimonial-slider-container {
  padding: 5em 10em;
}

.testimonial-slider-title-container {
  display: grid;
  grid-template-columns: auto auto;
  padding: 0 2em 1em 2em;
  margin: 2em;
}

.testimonial-slider-title {
  font-size: 40px;
  text-transform: uppercase;
}

.testimonial-slider-title-container .filled-button {
  justify-self: end;
}

@media only screen and (max-width: 767px) {
  .testimonial-slider-container {
    padding: 1em;
  }

  .testimonial-slider-title-container {
    padding: 0;
    margin: 0;
    text-align: center;
  }
}

/* Testimonial Slider Ends */

/* Activities Block Starts */
.activities-block-container {
  margin: 4em 0;
}

.activities-block-container .filled-button {
  margin: 4em auto 0 auto;
}

.activities-block-cards-container {
  display: flex;
  column-gap: 1em;
  justify-content: center;
  flex-wrap: wrap;
  row-gap: 1em;
  margin: 4em auto auto auto;
  max-width: 85%;
}

.activities-block-title {
  font-size: 40px;
  text-transform: uppercase;
  text-align: center;
}

.activity-card {
  width: 300px;
  aspect-ratio: 1/1;
  border-radius: 32px;
  border: 2px solid rgba(214, 214, 214, 0.349);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: 0.15s ease-in-out;
  padding: 1em;
}

.activity-card:hover {
  border: 2px solid lightgrey;
  transition: 0.15s ease-in-out;
}

.activity-card-title {
  font-family: 'Russo One', sans-serif;
  text-transform: uppercase;
  font-size: 22px;
  margin: 1em 0;
}

.activity-card-description {
  text-align: center;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.activity-card img {
  border-radius: 500px;
  aspect-ratio: 1/1;
  object-fit: cover;
}

/* Activities Block Ends */

/* Why Choose Us Block Starts */
.why-choose-us-background {
  padding: 0;
}

.why-choose-us-inner {
  backdrop-filter: brightness(0.5);
  color: white;
  text-transform: uppercase;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 600px;
}

.why-choose-us-title-section {
  text-align: center;
}

.why-choose-us-title {
  font-family: 'Russo One', sans-serif;
  font-size: 60px;
}

.why-choose-us-description {
  text-transform: none;
}

.why-choose-us-list {
  font-family: 'Russo One', sans-serif;
  font-size: 20px;
}

.why-choose-us-list li span {
  margin-left: 10px;
}

.why-choose-us-list li::marker {
  content: '✓';
  margin-right: 20px;
}

@media only screen and (max-width: 767px) {
  .why-choose-us-list {
    width: 100%;
    padding-left: 1rem;
    font-size: 1rem;
  }

  .why-choose-us-title {
    font-size: 40px;
  }
}

/* Why Choose Us Block Ends */

/* Bottom CTA Starts */
.bottom-cta-container {
  width: 100%;
  background-color: rgb(241, 241, 241);
}

.bottom-cta-inner {
  padding: 5em 10em;
  display: grid;
  grid-template-columns: 55% 45%;
  align-items: center;
}

.bottom-cta-title {
  font-size: 40px;
  margin-bottom: 0.5em;
}

.bottom-cta-inner-right {
  display: flex;
  justify-content: end;
}

.bottom-cta-inner-right div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: white;
  width: fit-content;
  padding: 2em;
  text-align: center;
}

.bottom-cta-box-title {
  font-family: 'Russo One', sans-serif;
  font-size: 24px
}

@media only screen and (max-width: 767px) {
  .bottom-cta-inner {
    padding: 1em;
    grid-template-columns: auto;
    row-gap: 1em;
  }

  .bottom-cta-inner-left {
    order: 2;
  }

  .bottom-cta-inner-right {
    order: 1;
    justify-content: center;
  }
}

/* Bottom CTA Ends */


/* About This Park Block Starts */

.about-this-park-inner {
  display: grid;
  grid-template-columns: 65% 35%;
  width: 75%;
  margin: auto;
}

.about-this-park-left {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  margin-top: 2em;
  width: 80%;
}

.about-this-park-title {
  font-size: 40px;
  text-transform: uppercase;
  margin-bottom: 1em;
}

.about-this-park-info {
  color: black;
  font-weight: 700;
  line-height: 30px;
  font-size: 18px;
}

.about-this-park-info a {
  text-decoration: none;
  color: black;
}

.about-this-park-left .filled-button {
  margin-top: 2em;
}

.about-this-park-right {
  display: flex;
  padding: 2em;
}

.about-this-park-right img {
  width: 100%;
  border-radius: 500px;
  aspect-ratio: 1/1;
  object-fit: cover;
}

@media only screen and (max-width: 767px) {
  .about-this-park-inner {
    grid-template-columns: auto;
    width: 90%;
  }

  .about-this-park-left {
    order: 2;
  }

  .about-this-park-right {
    order: 1;
  }
}

/* About This Park Block Ends */


/* Activities Parites Locations Block Starts */
.apl-section-container {
  margin: 2em auto 4em auto;
}

.apl-cards-container {
  display: flex;
  column-gap: 1em;
  justify-content: center;
  margin-top: 2em;
  row-gap: 1em;
}

.apl-card {
  display: flex;
  flex-direction: column;
  border: 1px solid #EFEFEF;
  background: #F6F6F6;
  max-width: 275px;
  border-radius: 24px;
}

.apl-card img {
  aspect-ratio: 2/1;
  border-radius: 24px 24px 0 0;
  object-fit: cover;
  background-position: center;
}

.apl-card-title {
  font-family: 'Russo One', sans-serif;
  color: white;
  background: var(--wp--preset--color--primary);
  text-transform: uppercase;
  text-align: center;
  padding: 0.5em;
  margin: 0;
}

.apl-card-bottom {
  padding: 1em 2em 2em 2em;
}

.apl-card-description {
  text-align: center;
  font-size: 14px;
  font-weight: 400;
  margin-bottom: 2em;
}

.apl-card-bottom .border-only-button {
  margin: auto;
  display: block;
}

@media only screen and (max-width: 767px) {
  .apl-cards-container {
    flex-direction: column;
    row-gap: 2em;
  }

  .apl-card {
    max-width: 90%;
    margin: auto;
  }
}

/* Activities Parites Locations Block Ends */

/* Three Card Over BG Block Starts */
.three-section-container {
  background: white;
  margin-top: 250px;
}

.three-cards-container {
  display: flex;
  column-gap: 1em;
  justify-content: center;
  background: var(--wp--preset--color--primary);
}

.three-card {
  position: relative;
  top: -150px;
  display: flex;
  flex-direction: column;
  border: 1px solid #EFEFEF;
  background: #F6F6F6;
  max-width: 275px;
  border-radius: 24px;
}

.three-card img {
  border-radius: 24px 24px 0 0;
  aspect-ratio: 1/1;
  object-fit: cover;
  background-position: center;
}

.three-card-title {
  font-family: 'Russo One', sans-serif;
  color: white;
  background: var(--wp--preset--color--primary);
  text-transform: uppercase;
  text-align: center;
  padding: 0.5em;
  margin: 0;
}

.three-card-bottom {
  padding: 1em 2em 2em 2em;
}

.three-card-description {
  text-align: center;
  font-size: 14px;
  font-weight: 400;
  margin-bottom: 2em;
}

.three-card-bottom .border-only-button {
  margin: auto;
  display: block;
}

@media only screen and (max-width: 767px) {
  .three-cards-container {
    margin-top: 0;
    flex-direction: column;
    row-gap: 2em;
    padding: 2em 0;
  }

  .three-card {
    top: 0;
    max-width: 90%;
    margin: auto;
  }
}

/* Three Card Over BG Block Ends */

/* FAQ Block Starts */
.faq-main-container {
  margin: 4em auto;
  width: 85%;
}

.faq-container {
  display: grid;
  grid-template-columns: 1fr;
  row-gap: 0;
  margin: 2em auto;
  width: 80%;
}

.faq-title-section {
  text-align: center;
  width: 50vw;
  margin: auto;
}

.faq-title {
  text-transform: uppercase;
  font-size: 40px;
  margin-bottom: 1em;
}

.faq-description {
  text-wrap: balance;
}

details {
  width: 100%;
  padding: 1em;
  background: white;
  color: grey;
  border-radius: 0;
  border: 2px solid lightgrey;
  border-top: 0px;
}

details:first-child {
  border-top: 2px solid lightgrey;
}

summary {
  font-size: 1.5rem;
  font-weight: 600;
  color: grey;
  display: grid;
  grid-template-columns: auto auto;
  justify-content: space-between;
  align-items: center;
}

summary::marker {
  content: none;
}

summary::before {
  content: "\2b";
  margin-right: 1em;
  border-radius: 100px;
  width: 3.125rem;
  height: 3.125rem;
  line-height: 1em;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: var(--wp--preset--color--primary);
  font-weight: 500;
  font-size: 1.6rem;
  font-weight: 900;
  border: solid 2px var(--wp--preset--color--primary);
  font-family: "font awesome 6 free";
  transform: rotate(0deg);
  transition: all 0.25s ease-out;
  order: 2;
}

details>.faq-answer {
  opacity: 0;
  transition: all 1s ease-in-out;
  max-height: 0px;
}

details[open]>.faq-answer {
  transition: all 1s ease-in-out;
  max-height: 2000px;
  opacity: 1;
}

.faq-answer {
  margin-top: 1em;

}

details[open]>summary::before {
  transform: rotate(45deg);
  background-color: #dddcdc59;
  transition: all 0.25s ease-out;
}

.question-title {
  font-family: 'Russo One', sans-serif;
  margin: 0 !important;
  color: #8F8F8F;
  font-size: 20px;
}

@media only screen and (max-width: 767px) {
  details {
    padding: 1.5em;
  }

  .question-title {
    font-size: 1.15rem;
  }

  .faq-answer {
    border-top: 2px solid var(--wp--preset--color--accent);
    padding-top: 10px;
  }
}

/* FAQ Block Ends */

/* Explore Parks Block Starts */
.explore-parks-block-container {
  display: flex;
  flex-direction: column;
  padding: 5em 10em;
  text-align: center;
  align-items: center;
}

.explore-parks-title {
  font-family: 'Russo One', sans-serif;
  font-size: 40px;
  text-transform: uppercase;
}

.explore-parks-description {
  text-wrap: balance;
  width: 65%;
  margin: 1em auto;
}

@media only screen and (max-width: 767px) {
  .explore-parks-block-container {
    padding: 1em;
  }
}

/* Explore Parks Block Ends */

/* Location Finder Block starts here */
.location-finder-container {
  width: 100%;
  background-color: var(--wp--preset--color--primary);
  padding: 5em;
  color: white;
  background-image: url('/wp-content/uploads/2026/06/intro-bg.png');
  background-position: right center;
  background-repeat: no-repeat;
  background-size: cover;
}

.location-finder-inner {
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
}

.location-finder-title {
  font-size: 2rem;
}

.location-finder-zip {
  background-color: white;
  padding: 0.5em 1em;
  border-radius: 32px;
  color: grey;
  border: 2px solid transparent;
}

.location-finder-inner-right {
  position: relative;
}

.location-finder-inner-right img {
  border-radius: 500px;
  width: 200px;
}

.location-finder-container .border-only-button {
  display: inline-block;
  border-color: white;
  color: white;
}

@media only screen and (max-width: 767px) {
  .location-finder-container {
    padding: 1em;
    background-image: none;
  }

  .location-finder-inner {
    grid-template-columns: auto;
    text-align: center;
  }

  .location-finder-zip {
    margin-bottom: 1em;
  }

}

/* Location Finder block ends here*/

/* Programs Grid block starts here */
.programs-grid-container {
  margin: 4em auto 4em auto;
  max-width: 85%;
}

.programs-grid-title {
  font-family: 'Russo One', sans-serif;
  font-size: 40px;
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 2em;
}

.programs-card-grid {
  display: flex;
  column-gap: 1em;
  justify-content: center;
  flex-wrap: wrap;
  row-gap: 1em;
}

.program-card {
  border: 2px solid rgba(214, 214, 214, 0.349);
  width: 500px;
  transition: 0.15s ease-in-out;
  border-radius: 24px;
}

.program-card:hover {
  border: 2px solid lightgrey;
  transition: 0.15s ease-in-out;
}

.program-card-inner {
  text-align: center;
}

.program-card-title {
  font-family: 'Russo One', sans-serif;
  font-size: 24px;
  text-transform: uppercase;
}

.program-card-inner img {
  aspect-ratio: 1/1;
  margin: 0 auto 1em auto;
  object-fit: cover;
  border-radius: 24px;
}

.program-card-button-container {
  display: flex;
  flex-direction: row;
  column-gap: 1em;
  justify-content: center;
}

/* Programs Grid block ends here */

/* Page Content Block Starts Here */
.page-content-container {
  width: 80%;
  margin: 3em auto;
  border-radius: 32px;
  padding: 3em;
}

/* Page Content Block Ends Here */


/* Heading size fixes */
h1 {
  font-size: 40px;
}

@media only screen and (max-width: 767px) {
  h1 {
    font-size: 30px;
  }

  h2 {
    font-size: 25px;
  }
}

/* NEW CSS GET AIR SITE BUILD ENDS */


// For dropdown menus, always show the dropdown on hover
#main-menu .dropdown:hover .dropdown-menu {
  display: block !important;
}

#main-menu .dropdown-toggle::after {
  color: var(--wp--preset--color--primary);
}

#main-menu .nav-link {
  color: black !important;
  font-weight: 400 !important;
  text-transform: uppercase;
  font-family: 'Russo One', sans-serif;
}

#main-menu {
  .dropdown-menu .menu-item {
    width: 100%;
  }

  .dropdown:hover .dropdown-menu:not(.dropdown-submenu) {
    display: block !important;
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
    visibility: visible;
    transition: 0.15s ease-in-out;
  }

  .dropdown-submenu.menu-item:hover .dropdown-submenu {
    display: block !important;
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
  }

  .dropdown-menu {
    opacity: 0;
    transform-origin: top left;
    transform: translateY(-8px);
    transition: 0.15s ease-in-out;
    pointer-events: none;
    display: block;
    will-change: transform, opacity;
    visibility: hidden;
    margin-top: 2px;
  }

  .dropdown-submenu .dropdown-toggle::after {
    rotate: -90deg;
  }

  .dropdown-menu .menu-item .dropdown-item {
    transition: 0.25s ease-in-out;
    font-weight: 500;
  }

  .dropdown-menu .menu-item:hover .dropdown-item:not(.sub-dropdown-item),
  .dropdown-menu .sub-dropdown-item:hover {
    color: var(--wp--preset--color--primary);
    padding-left: 25px;
    transition: 0.25s ease-in-out;
    background-color: rgba(62, 117, 188, 0.06);
  }

  .menu-item-underline {
    position: absolute;
    display: inline-block;
    text-decoration: none;
    padding-bottom: 2px;
    width: 100%;
  }

  .menu-item-underline::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background: var(--wp--preset--color--primary);
    transform: translateY(-6px) scaleX(0.8);
    transform-origin: center;
    opacity: 0;
    transition: transform 220ms cubic-bezier(.2, .9, .3, 1), opacity 180ms ease;
  }

  .menu-item-underline.active::after {
    transform: translateY(0) scaleX(1) !important;
    opacity: 1 !important;
  }

  .menu-item:hover>.menu-item-underline::after,
  .menu-item:focus>.menu-item-underline::after {
    transform: translateY(0) scaleX(1);
    opacity: 1;
  }

}

#mobile-nav-dropdown.collapsing {
  transition: none !important;
  display: none !important;
}

#mobile-nav-dropdown .nav-link {
  color: white;
  font-family: 'Russo One', sans-serif;
  font-weight: 400;
  text-transform: uppercase;
}

#mobile-nav-dropdown .dropdown-toggle {
  width: fit-content;
  margin: auto;
}

#mobile-nav-dropdown #mobile-menu * {
  background-color: transparent !important;
}

#mobile-nav-dropdown .dropdown-toggle.show {
  border-bottom: 2px solid var(--wp--preset--color--secondary);
}

#mobile-nav-dropdown {
  overflow-x: hidden;
  overflow-y: scroll;
  padding-bottom: 300px !important;
  z-index: 1200;

  .mobile-nav-collapse {
    list-style-type: none;
    padding: 0;
  }

  .mobile-nav-collapse li {
    margin: 14px auto 14px auto !important;
  }

  li.menu-item {
    width: fit-content;
    max-width: 100%;
    margin: auto;
  }

  .menu-item-underline {
    position: absolute;
    display: block;
    text-decoration: none;
    padding-bottom: 2px;
    width: 100%;
  }

  .menu-item-underline::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background: white;
    transform: translateY(-6px);
    transform-origin: center;
    visibility: hidden;
    transition: transform 220ms cubic-bezier(.2, .9, .3, 1), opacity 180ms ease;
  }

  .menu-item-underline.active::after {
    transform: translateY(0) !important;
    visibility: visible !important;
  }

  .menu-item-has-children a.nav-link:not(.collapsed) .menu-item-underline::after {
    transform: translateY(0) !important;
    visibility: visible !important;
  }

}

.navbar-toggle {
  border: none;
  background: transparent !important;

  &:hover {
    background: transparent !important;
  }

  .top-bar {
    transform: rotate(45deg);
    transform-origin: 10% 10%;
  }

  .middle-bar {
    opacity: 0;
  }

  .bottom-bar {
    transform: rotate(-45deg);
    transform-origin: 10% 90%;
  }
}

.navbar-toggle.collapsed {
  .top-bar {
    transform: rotate(0);
  }

  .middle-bar {
    opacity: 1;
  }

  .bottom-bar {
    transform: rotate(0);
  }
}

.nav-search-bar {
  background-color: white;
  border-radius: 50rem;

  input[type="search"] {
    border-top-left-radius: 50px;
    border-bottom-left-radius: 50px;
    border-color: #f8f9fa !important;
  }

  input[type="search"]::placeholder {
    color: rgba(144, 144, 144, 0.48);
    font-size: 14px;
    font-weight: 400;
    line-height: normal;
  }

  button {
    color: rgba(144, 144, 144, 0.48);
  }
}

.mobile-nav-dropdown {
  transform: none !important;
  margin: unset !important;
  inset: unset !important;
}

#wrapper-navbar:has(#mobile-nav-dropdown.show) {
  position: fixed !important;
}

.dropdown-submenu {
  position: relative;
}

.dropdown-submenu .dropdown-menu {
  top: 0;
  left: 100%;
  margin-top: -1px;
}

.dropdown-submenu:hover>.dropdown-menu {
  display: block;
}

#main-menu .dropdown:hover .dropdown-menu:not(.dropdown-submenu) {
  display: block !important;
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
  visibility: visible;
  transition: .15s ease-in-out;
}


html:has(#mobile-nav-dropdown.show),
body:has(#mobile-nav-dropdown.show) {
  margin: 0;
  height: 100%;
  overflow: hidden;
}

#mobile-nav-dropdown .new-span,
#navbarNavDropdown .new-span {
  display: none !important;
}